<?php
header('Content-Type: application/json');

// API token
$token = 'apis-token-12892.iAujeOSwX3T3Ptl5VZBCZAsLKu1PhEzI';

// Verificar si se envió el DNI
if (isset($_GET['dni'])) {
    $dni = $_GET['dni'];

    // Inicializar cURL
    $curl = curl_init();
    curl_setopt_array($curl, array(
        CURLOPT_URL => 'https://api.apis.net.pe/v2/reniec/dni?numero=' . $dni,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_SSL_VERIFYPEER => false, // OJO: en producción debería estar en true
        CURLOPT_HTTPHEADER => array(
            'Referer: https://apis.net.pe/consulta-dni-api',
            'Authorization: Bearer ' . $token
        ),
    ));

    // Ejecutar y cerrar cURL
    $response = curl_exec($curl);
    $err = curl_error($curl);
    curl_close($curl);

    // Manejo de errores
    if ($err) {
        echo json_encode(['error' => 'Error en la consulta: ' . $err]);
    } else {
        echo $response;
    }
} else {
    echo json_encode(['error' => 'No se proporcionó un DNI.']);
}
